#!/bin/sh

options="-n -t 1 -s 115200"
#options="-s 38400"

os=`uname`

case $os in
UnixWare) lines="\
/dev/ttyK00 /dev/ttyK01 \
/dev/ttyK02 /dev/ttyK03 \
/dev/ttyK04 /dev/ttyK05 \
/dev/ttyK06 /dev/ttyK07 \
"
	;;

FreeBSD) lines="\
/dev/cuaa4 /dev/cuaa5 \
/dev/cuaac /dev/cuaad \
/dev/cuaa6 /dev/cuaae \
/dev/cuaa7 /dev/cuaa8 \
/dev/cuaaf /dev/cuaag \
/dev/cuaa9 /dev/cuaah \
/dev/cuaaa /dev/cuaab \
/dev/cuaai /dev/cuaaj \
"

	;;
Linux) lines="\
/dev/ttyK0 /dev/ttyK1 \
/dev/ttyK8 /dev/ttyK9 \
/dev/ttyK2 /dev/ttyK10 \
/dev/ttyK3 /dev/ttyK4 \
/dev/ttyK11 /dev/ttyK12 \
/dev/ttyK5 /dev/ttyK13 \
/dev/ttyK6 /dev/ttyK7 \
/dev/ttyK14 /dev/ttyK15 \
/dev/ttyK16 /dev/ttyK17 \
/dev/ttyK24 /dev/ttyK25 \
/dev/ttyK18 /dev/ttyK26 \
/dev/ttyK19 /dev/ttyK20 \
/dev/ttyK27 /dev/ttyK28 \
/dev/ttyK21 /dev/ttyK29 \
/dev/ttyK22 /dev/ttyK23 \
/dev/ttyK30 /dev/ttyK31 \
"
	;;
*)	echo "Unknown UNIX - I don't know what the port names ?"
	exit 1
	;;
esac

./lsn $options $lines
